Skip to main content

Captures


Capturing authorized funds completes a payment. To capture an authorization, the authorization must be in the AUTHORIZED status and you must include the authorization's request ID in the capture endpoint. You can only capture the total authorized amount. Partial captures and multiple captures are not supported.

A successful request is indicated by the SETTLED status in the status response field. When you receive the SETTLED status, the payment is complete and you can display a payment confirmation to the customer.

Save the request ID in the id response field to send the follow-on refund request.

To obtain the request ID from the authorization, see Affirm Authorizations.

See Affirm API Endpoints.

Endpoint

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Example

{    "orderInformation": {        "amountDetails": {            "totalAmount": "150.00",            "currency": "USD"        }    },    "paymentInformation": {        "paymentType": {            "name": "INVOICE",            "method": {                "name": "AFFIRM"            }        }    },    "processingInformation": {        "actionList": "AP_CAPTURE"    }}
{    "_links": {        "self": {            "method": "POST",            "href": "/pts/v2/captures/7297989780486651603954"        },        "refund": {            "method": "POST",            "href": "/pts/v2/captures/7297989780486651603954/refunds"        },        "status": {            "method": "POST",            "href": "/pts/v2/refresh-payment-status/7297989780486651603954"        }    },    "clientReferenceInformation": {        "code": "1729798978179"    },    "id": "7297989780486651603954",    "orderInformation": {        "amountDetails": {            "totalAmount": "150.00",            "currency": "USD"        }    },    "processorInformation": {        "responseDetails": "00004",        "responseCode": "00004"    },    "reconciliationId": "XFZ3Z2N9GCMZ",    "status": "SETTLED",    "submitTimeUtc": "2024-10-24T19:42:59Z"}
FieldTypeDescription
orderInformation.amountDetails.currencyThe currency for the order.
orderInformation.amountDetails.totalAmountThe total amount for the order.
paymentInformation.paymentType.method.nameSet to AFFIRM.
paymentInformation.paymentType.nameSet to INVOICE.
processingInformation.actionListSet to AP_CAPTURE.
Optional Fields
FieldTypeDescription
orderInformation.lineItems[].productNameThe name of the product.
orderInformation.lineItems[].productSkuThe product identifier code, also known as the stock keeping unit (SKU).
orderInformation.lineItems[].quantityThe quantity of the product.
orderInformation.lineItems[].totalAmountThe total amount for the line item.
orderInformation.lineItems[].unitPriceThe per-item price of the product.

Response Statuses

responds with one of these statuses in the status response field.

  • FAILED: The capture request is not successful. Send a new capture request.
  • SETTLED: The capture is complete and the payment is finalized. You can display a payment confirmation to the customer.

For REST, also provides a reconciliation ID for tracking and reporting purposes in the reconciliationId response field.

Last published: September 29, 2026